Get address by ID
curl --request GET \
--url https://inboundr.net/api/v1/addresses/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://inboundr.net/api/v1/addresses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://inboundr.net/api/v1/addresses/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://inboundr.net/api/v1/addresses/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "addr_123",
"domainId": "dom_123",
"domain": "yourdomain.com",
"localPart": "support",
"endpointId": "ep_123",
"active": true,
"createdAt": "2026-07-20T10:00:00.000Z",
"address": "support@yourdomain.com"
}
Email Addresses
Get address by ID
Fetch one address route.
GET
/
api
/
v1
/
addresses
/
{id}
Get address by ID
Returns a single address route.
string
required
The address id (
addr_…).{
"id": "addr_123",
"domainId": "dom_123",
"domain": "yourdomain.com",
"localPart": "support",
"endpointId": "ep_123",
"active": true,
"createdAt": "2026-07-20T10:00:00.000Z",
"address": "support@yourdomain.com"
}
Returns
404 if the address doesn’t exist or isn’t yours.⌘I